## ros-kinetic-kdl-parser 1.12.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(kdl_parser)

find_package(Boost REQUIRED)
include_directories(${Boost_INCLUDE_DIR})

find_package(catkin REQUIRED
  COMPONENTS rosconsole urdf cmake_modules
)
find_package(orocos_kdl REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(include ${orocos_kdl_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

add_compile_options(-std=c++11)

catkin_package(
  LIBRARIES ${PROJECT_NAME} ${orocos_kdl_LIBRARIES}
  INCLUDE_DIRS include
  CATKIN_DEPENDS rosconsole urdf
  DEPENDS orocos_kdl TinyXML
)

add_library(${PROJECT_NAME} src/kdl_parser.cpp)
target_link_libraries(${PROJECT_NAME}
  ${TinyXML_LIBRARIES} ${orocos_kdl_LIBRARIES} ${catkin_LIBRARIES}
)

if(WIN32)
  target_compile_definitions(${PROJECT_NAME} PRIVATE "KDL_PARSER_BUILDING_DLL")
endif()

add_executable(check_kdl_parser src/check_kdl_parser.cpp )
target_link_libraries(check_kdl_parser ${PROJECT_NAME})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roscpp rostest)
  add_rostest_gtest(test_kdl_parser test/test_kdl_parser.launch test/test_kdl_parser.cpp )
  target_link_libraries(test_kdl_parser ${PROJECT_NAME})

  add_rostest_gtest(test_inertia_rpy test/test_inertia_rpy.launch test/test_inertia_rpy.cpp )
  target_link_libraries(test_inertia_rpy ${PROJECT_NAME})
endif()

# How does CATKIN do this?
#rosbuild_add_rostest(${PROJECT_SOURCE_DIR}/test/test_kdl_parser.launch)
install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-kinetic-kdl-parser (1.12.11-0xenial) xenial; urgency=high

  * Style fixes from ros2 (#11 <https://github.com/ros/kdl_parser/issues/11>)
  * Make rostest a test_depend (#3 <https://github.com/ros/kdl_parser/issues/3>)
  * update links now that this is in its own repo
  * Contributors: Chris Lalancette, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 23 Jul 2018 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.10-0xenial) xenial; urgency=high

  * Use result of find_package(orocos_kdl) properly (#200 <https://github.com/ros/robot_model/issues/200>)
    orocos_kdl_LIBRARY_DIRS was not set

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 17 May 2017 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.9-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.8-0xenial) xenial; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.7-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.6-0xenial) xenial; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.5-0xenial) xenial; urgency=high

  * fix segfault: safely handle empty robot model (#154 <https://github.com/ros/robot_model/issues/154>)
  * Contributors: Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.4-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.3-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.2-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000

ros-kinetic-kdl-parser (1.12.1-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.8-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.7-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.6-0xenial) xenial; urgency=high

  * add version dependency on orocos_kdl >= 1.3.0
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 30 Nov 2014 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.5-0xenial) xenial; urgency=high

  * Update KDL SegmentMap interface to optionally use shared pointers
    The KDL Tree API optionally uses shared pointers on platforms where
    the STL containers don't support incomplete types.
  * Contributors: Brian Jensen

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 24 Jul 2014 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.4-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 07 Jul 2014 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.3-0xenial) xenial; urgency=high

  * kdl_parser: Adding kdl library explicitly so that dependees can find it
  * Contributors: Jonathan Bohren

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.2-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 22 Mar 2014 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.1-0xenial) xenial; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Mar 2014 00:00:00 -0000

ros-kinetic-kdl-parser (1.11.0-0xenial) xenial; urgency=high

  * fix test at kdl_parser
  * Contributors: YoheiKakiuchi

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-kinetic-kdl-parser (1.10.18-0xenial) xenial; urgency=high

  * add DEPENDS for kdl_parser
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Dec 2013 00:00:00 -0000

ros-kinetic-kdl-parser (1.10.16-0xenial) xenial; urgency=high

  * check for CATKIN_ENABLE_TESTING

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 18 Nov 2013 00:00:00 -0000

ros-kinetic-kdl-parser (1.10.15-0xenial) xenial; urgency=high

  * fix #30 <https://github.com/ros/robot_model/issues/30>

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 17 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kdl-parser
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, liburdfdom-headers-dev, ros-kinetic-catkin (>= 0.5.68), ros-kinetic-cmake-modules, ros-kinetic-orocos-kdl (>= 1.3.0), ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-urdf
Homepage: http://ros.org/wiki/kdl_parser
Standards-Version: 3.9.2

Package: ros-kinetic-kdl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, liburdfdom-headers-dev, ros-kinetic-orocos-kdl (>= 1.3.0), ros-kinetic-rosconsole, ros-kinetic-urdf
Description: The Kinematics and Dynamics Library (KDL) defines a tree structure to represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot representation in URDF.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kdl-parser//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
